#!/bin/sh
#############################################################
# Author : Simona Flavoni for NEMO
# Contact : sflod@locean-ipsl.upmc.fr
#
# sette.sh   : principal script of SET TEsts for NEMO (SETTE)
#############################################################
#set -x
set -o posix
#set -u
#set -e
#+
#
# ================
# sette.sh
# ================
#
# ----------------------------------------------
# Set of tests for NEMO
# ----------------------------------------------
#
# SYNOPSIS
# ========
#
# ::
#
#  $ ./sette.sh
#
# DESCRIPTION
# ===========
#
#
# EXAMPLES
# ========
#
# ::
#
#  $ ./sette.sh 
#
#
# TODO
# ====
#
# option debug
#
# EVOLUTIONS
# ==========
#
# $Id$
#
#   * creation
#
#-
#
SETTE_DIR=/PATH/OF/SETTE

cd ${SETTE_DIR}
. ../CONFIG/makenemo -m ifort_linux -n GYRE_1_1 -r GYRE
cd ${SETTE_DIR}
. param.cfg
. all_functions.sh
set_namelist namelist nn_it000 1
set_namelist namelist nn_itend 75
cd ${SETTE_DIR}
. ./fcm_job.sh input_GYRE.cfg 1

cd ${SETTE_DIR}
. ../CONFIG/makenemo -n ORCA2_LIM_1_2 add_key "key_mpp_mpi key_nproci=1 key_nprocj=2"
cd ${SETTE_DIR}
. param.cfg
. all_functions.sh
set_namelist namelist nn_it000 1
set_namelist namelist nn_itend 75
cd ${SETTE_DIR}
. ./fcm_job.sh input_ORCA2_LIM.cfg 2

